Py ERFA:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- PyERFA v2.0.1.5 »
- erfa Package »
- tr

# tr

erfa.tr(r)

  Transpose an r-matrix.

  Parameters:
    r double array
  Returns:
    rt double array

  Notes

  Wraps ERFA function `eraTr`. The ERFA documentation is:

      - - - - - -
       e r a T r
      - - - - - -

      Transpose an r-matrix.

      Given:
         r        double[3][3]    r-matrix

      Returned:
         rt       double[3][3]    transpose

      Note:
         It is permissible for r and rt to be the same array.

      Called:
         eraCr        copy r-matrix

      This revision:  2021 May 11

      Copyright (C) 2013-2023, NumFOCUS Foundation.
      Derived, with permission, from the SOFA library.  See notes at end of file.